Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83687 - 3com 3c589_cs.o regression in kernel-2.4.20-2.34
Summary: 3com 3c589_cs.o regression in kernel-2.4.20-2.34
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-07 03:49 UTC by Sam Varshavchik
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:30 UTC


Attachments (Terms of Use)
lspci output. (deleted)
2003-02-07 03:52 UTC, Sam Varshavchik
no flags Details
Modules running under kernel-2.4.20-2.21 (deleted)
2003-02-07 03:54 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2003-02-07 03:49:30 UTC
Description of problem:

3c589 3com PCMCIA card starts with kernel-2.4.20-2.21, doesn't start with
kernel-2.4.20-2.34

Version-Release number of selected component (if applicable):

Updated stock phoebe with the following packages:

rpm -i kernel-2.4.20-2.34.i586.rpm

rpm -U kernel-pcmcia-cs-3.1.31-13.i386.rpm

How reproducible:

Always.

After booting kernel-2.4.20-2.34.i586.rpm the 3com card fails to start.

The only relevant lines from the syslog are as follows:

Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
PCI: No IRQ known for interrupt pin A of device 00:07.0. Please try using
pci=biosirq.
PCI: No IRQ known for interrupt pin B of device 00:07.1. Please try using
pci=biosirq.
ds: no socket drivers loaded!

Rebooting with pci-biosirq makes no difference.

I can reboot back to kernel-2.4.20-2.21, and the card starts fine, and comes
back on the network, even with the updated kernel-pcmcia-cs package:

Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
PCI: No IRQ known for interrupt pin A of device 00:07.0. Please try using
pci=biosirq.
PCI: No IRQ known for interrupt pin B of device 00:07.1. Please try using
pci=biosirq.
Yenta IRQ list 0ea0, PCI irq0
Socket status: 30000010
Yenta IRQ list 0ea0, PCI irq0
Socket status: 30000006
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x200-0x207 0x220-0x22f 0x300-0x307
0x378-0x37f 0x388-0x38f 0x398-0x39f 0x400-0x40f 0x480-0x48f 0x4c0-0x4df
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
divert: allocating divert_blk for eth0
eth0: 3Com 3c589, io 0x310, irq 5, hw_addr 00:60:97:46:2E:61
  8K FIFO split 5:3 Rx:Tx, auto xcvr
ip_tables: (C) 2000-2002 Netfilter core team
eth0: flipped to 10baseT

Attaching hardware/module configuration to this bug...

Comment 1 Sam Varshavchik 2003-02-07 03:52:23 UTC
Created attachment 89918 [details]
lspci output.

Comment 2 Sam Varshavchik 2003-02-07 03:54:26 UTC
Created attachment 89919 [details]
Modules running under kernel-2.4.20-2.21 

After booting with kernel-2.4.20-2.21, these are the active modules after the
card starts.

Comment 3 Arjan van de Ven 2003-02-07 09:27:25 UTC
	Interrupt: pin A routed to IRQ 0

that's not going to work well...

Comment 4 Bugzilla owner 2004-09-30 15:40:30 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.